using Hotline.Share.Dtos.ExportWord;

namespace Hotline.Application.ExportWord
{
    public interface IWordExportProvider
    {
        ExportByteWord ExportFromTemplate<T>(string templatePath, T data) where T : IWordExportTemplate;

        Task<ExportByteWord> ExportFromTemplateAsync<T>(string templatePath, T data) where T : IWordExportTemplate;
    }
}
